const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    global ebx;
    global edi;
    global fpu_stat_TOP;
    # 0x0;
    edi = arg1[48];
    ebx = z.x;
    fpu_stat_TOP = fpu_stat_TOP_global_2d_to_2d_local + 2 - &global_var_1_1 - &global_var_1_1;
    v1_2a = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    z.x = z.x & -0x10000 | v1_2a & -0xff01 | v1_2a / 2 & 0x7f00;
    if v1_2a & 256 == 0:;
        # 0x30;
        *ebx = -z.y;
        *z.y = -z.x;
    v1_4a = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    z.x = z.x & -0x10000 | v1_4a & -0xff01 | v1_4a / 2 & 0x7f00;
    if v1_4a & 256 == 0:;
        # 0x50;
        *ebx = -z.z;
        *z.z = -z.x;
    v1_6a = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    z.x = z.x & -0x10000 | v1_6a & -0xff01 | v1_6a / 2 & 0x7f00;
    if v1_6a & 256 == 0:;
        # 0x70;
        *z.z = -z.y;
        *z.y = -z.z;
    v0_81 = edi # bp+81;
    if *((v0_81 - 20)) != 0:;
        # 0x87;
        z.x = function_c2();
        v1_97 = edi;
    else:;
        v1_97 = v0_81;
    v4_95 = z.x + z.y + z.z # bp+95;
    v1_a1 = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    z.x = z.x & -0x10000 | v1_a1;
    v0_a4 = fpu_stat_TOP + 2 * -&global_var_1_1;
    if v1_a1 & 256 == 0:;
        v6_a8 = (v4_95 - *((v1_97 - 16))) * *edi;
        *ebx = z.x - v6_a8;
        *z.y = z.y - v6_a8;
        *z.z = z.z - v6_a8;
        v0_bc = v0_a4 + 1;
    else:;
        v0_bc = v0_a4 + &global_var_1_1;
    # 0xbc;
    fpu_stat_TOP = v0_bc + 1;
    v3_be = function_eb(&var2, &var2, &var2);
    z.x = v3_be;
    return v3_be;

# Address range: 0xc2 - 0xeb;
def function_c2():;
    global fpu_stat_TOP;
    v6_cc = (ebx + z.y + z.z) * edi;
    st7_global_2d_to_2d_local = -v6_cc # st7;
    *ebx = -((ebx - v6_cc));
    *z.y = -((st7_global_2d_to_2d_local + z.y));
    *z.z = -((st7_global_2d_to_2d_local + z.z));
    fpu_stat_TOP += 2 * &global_var_1_1 + 2 * -&global_var_1_1;
    return st7_global_2d_to_2d_local;

# Address range: 0xeb - 0x134;
def function_eb(arg1, arg2, arg3):;
    global z.x;
    global ebx;
    global edi;
    global fpu_stat_TOP;
    if *((edi - 24)) == 0:;
        # 0x129;
        v0_129 = ebx;
        z.x = v0_129;
        edi = arg1;
        ebx = arg3;
        return v0_129;
    # 0xf1;
    if *((ebp - 12)) == 0:;
        # 0xf7;
        *z.z = -z.y;
        *z.y = -z.z;
        fpu_stat_TOP += 2 * &global_var_1_1 + 2 * -&global_var_1_1;
    # 0x103;
    if *((ebp - 8)) == 0:;
        # 0x109;
        *ebx = -z.z;
        *z.z = -ebx;
        fpu_stat_TOP += 2 * &global_var_1_1 + 2 * -&global_var_1_1;
    # 0x115;
    if *((ebp - 4)) == 0:;
        # 0x11b;
        *ebx = -z.y;
        *z.y = -ebx;
    # 0x129;
    v0_129 = ebx;
    z.x = v0_129;
    edi = arg1;
    ebx = arg3;
    return v0_129;


	}